package main

import (
	"fmt"
	"os"

	"mcquay.me/yay"
)

const usage = "usage: yay <shrug|dance>"

func main() {
	cmd := "yay"
	if len(os.Args) > 1 {
		cmd = os.Args[1]
	}
	var t *yay.ViewPort

	switch cmd {
	case "yay":
		t = yay.NewViewPort(yay.NewYay())
	case "shrug":
		t = yay.NewViewPort(yay.NewShrug())
	case "dance":
		t = yay.NewViewPort(yay.NewDance())
	default:
		fmt.Fprintf(os.Stderr, "%s\n", usage)
		os.Exit(1)
	}
	t.Run()
}
